
Redmine - Feature #493

Enhancement request bonanza!!

2007-11-16 11:58 - Dennis Gyor

Status: Closed Start date:  

Priority: Normal Due date: 2013-04-25

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback   

Description

Hello all,

Just wanted to say 0.6.0 of redmine is great and the rate at which redmine is updated is very impressive. We are ramping

up to use it company wide in the very near future. Alas, I have a few enhancement requests after using redmine in an

actual project.

1) It would be ideal to have the ability to edit a note after its been added to an issue. Currently, one can only edit

the original issue, but not any notes added afterwards.

2) The product roadmap seems to be a bit off? Currently, it seems as though the roadmap completion bar only fills up

when an issue that is associated with a product or a release is set to closed. This is misleading to the project managers

because when they look at the roadmap it is still at 0% completion but when they look at the issues in the release most

of them are 90% done. So the PMs get misled thinking that nothing has been done on the project.

3) Add colors to the issues. What I mean by that we are migrating from Mantis and the ability to assign an issue a color

is a wonderful visual aid. Currently, when a user clicks on the issues list all the issues are behind white background.

It would be a huge visual enhancement is the background the issue is listed in the table would be a different color

based on the user picking from a color wheel or a list of different colors (this would be in the issues configutration

panel?).

4) Ability to sort by different columns in "My page". I believe currently, when you click on "My Page",

all that is visible is tracker and subject, It would be ideal if the "my Page" behavied like the issues page

by allowing you to sort by different columns by clicking on the header. Also it would be great if was customizable to

add additional columns (like priority) in the issues page. I would love to log in and go to "my Page" to see

what the highest priority issues are for me ton that day.

Sorry for so many requests and thanks again for all of your hard work. I know we here at our company appreciate all

of your effort. Have a great day.

Related issues:

Related to Redmine - Feature #4967: Issues colors Reopened 2010-03-02

Related to Redmine - Feature #7769: Sortable columns in issue lists on "My page" Closed 2011-03-03

Related to Redmine - Feature #12223: Make "My Page"-Widgets filterable Closed

Has duplicate Redmine - Feature #11422: Display Priority Of Tasks on MyPages Closed

History

#1 - 2007-11-17 10:37 - Jean-Philippe Lang

Hi,

Thanks for the feedback.

Point 2) is fixed in r908. Issues done ratio are now taken into

account.

Eg. if you have a closed issue and an open issue done at 50 

for a version, the completion percentage will be 75

Regards

#2 - 2007-12-05 12:09 - Rocco Stanzione

+1 to number 1.  On number 3, I'd also love to be able to color
https://www.redmine.org/projects/redmine/repository/svn/revisions/908


code issues based on priority.

#3 - 2007-12-05 14:07 - Jean-Philippe Lang

Concerning 3, have a look here:

http://demo.redmine.org/projects/1/issues

The 'alternate' theme provided with Redmine makes the issue list

colorized based on priority.

#4 - 2013-04-09 22:48 - Filou Centrinov

1. It's possible to edit a note after its been added to an issue. (set of permission rules)

2. Is fixed. Note 3 in this issue: #493#note-3

3. More detailed in #4967

4. See also #7769 and #12223. A link beneath the widget blocks directs you to the issue page where desired request can be fullfield.

May we can close this multi-issue?

#5 - 2013-04-11 07:42 - Toshi MARUYAMA

- Description updated

- Status changed from New to Needs feedback

#6 - 2013-04-11 14:50 - Daniel Felix

- Due date set to 2013-04-25

Please give Feedback until 25th April, if this one is still needed, otherwise this issue will be closed. Thanks! :-)

Best regards,

Daniel

#7 - 2013-09-01 22:40 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
